## org.springframework.format.datetime.joda
Class ReadableInstantPrinter

    java.lang.Object
      org.springframework.format.datetime.joda.ReadableInstantPrinter

All Implemented Interfaces:
  Printer<org.joda.time.ReadableInstant>

    public final class ReadableInstantPrinter

extends Object
implements Printer<org.joda.time.ReadableInstant>

Prints JodaTime `ReadableInstant` instances using a `DateTimeFormatter`.

Since:
  3.0
Author:
  Keith Donald

Constructor Summary
`ReadableInstantPrinter(org.joda.time.format.DateTimeFormatter formatter)` Create a new ReadableInstantPrinter.

Method Summary
`String` `print(org.joda.time.ReadableInstant instant, Locale locale)` Print the object of type T for display.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReadableInstantPrinter

    public ReadableInstantPrinter(org.joda.time.format.DateTimeFormatter formatter)

  Create a new ReadableInstantPrinter.

  Parameters:
    `formatter` - the Joda DateTimeFormatter instance

Method Detail

### print

    public String print(org.joda.time.ReadableInstant instant,
                        Locale locale)

  Description copied from interface: `Printer`
  Print the object of type T for display.

  Specified by:
    `print` in interface `Printer<org.joda.time.ReadableInstant>`
  Parameters:
    `instant` - the instance to print
    `locale` - the current user locale
  Returns:
    the printed text string